Bug 1466882 - openstack-nova-migration is potentially missing after a minor update
openstack-nova-migration is potentially missing after a minor update
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ---
: 7.0 (Kilo)
Assigned To: Ollie Walsh
Gurenko Alex
: Triaged, ZStream
: 1490942 (view as bug list)
Depends On:
Blocks: 1517268 1517269 1517302 1457132 1490951 1490954
  Show dependency treegraph
 
Reported: 2017-06-30 12:02 EDT by Ollie Walsh
Modified: 2017-11-24 09:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1517268 1517269 1517302 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 476534 None None None 2017-06-30 12:03 EDT

  None (edit)
Description Ollie Walsh 2017-06-30 12:02:45 EDT
Description of problem:
If the initial attempt to update fails it could have updated packages but not run the puppet manifest that installs openstack-nova-migration. Subsequent
attempts to update will not install the openstack-nova-migration package as we disable pkg installs if no updates are available.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-2.0.0-57.el7ost.noarch

How reproducible:
Could not reproduce. Discovered this during code review.


Additional info:
Forked from https://bugzilla.redhat.com/show_bug.cgi?id=1463680
Comment 1 Ollie Walsh 2017-09-12 16:35:09 EDT
*** Bug 1490942 has been marked as a duplicate of this bug. ***
Comment 2 Ollie Walsh 2017-11-23 13:54:20 EST
*** Bug 1514840 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.